/*
 * Prototypes for functions defined in sshcipher.c
 */
/*
 * KNOWN_CIPHERS is list of known ciphers the code can handle.  A known cipher
 * may or may not be enabled for use.  ciphername table binds name to number.
 */
#define KNOWN_CIPHERS ((1<<SSH_CIPHER_NONE)|(1<<SSH_CIPHER_IDEA)|\
	(1<<SSH_CIPHER_DES)|(1<<SSH_CIPHER_3DES)|(1<<SSH_CIPHER_RC4)|\
	(1<<SSH_CIPHER_BLOWFISH))
int sshciph_cipher_number ( char *name );	/* translate name to number */
char *sshciph_cipher_name  ( int number );

int sshciph_setup ( struct sshsess_session_st *ctx, char errmsg[256] );
int sshciph_state_size();
